#!/usr/bin/env python
#--*-- coding:UTF-8 --*--

from PIL.ExifTags import TAGS
import os,sys,Image
ret={}
for root, dir, files in os.walk(str(sys.argv[1])):
	for fp in files:
		if ".JPG" in fp.upper():
			fn = root+fp
			print fn
			i = Image.open(fn)
			info = i._getexif()
			for tag, value in info.items():
		                decoded = TAGS.get(tag, tag)
                		ret[decoded] = value
			#print ret.keys()
			print ret['DateTimeDigitized']
